class CreateDashboardComponents < ActiveRecord::Migration[6.0]
  def change
    create_table :dashboard_components do |t|
      t.string :name
      t.string :desc
      t.string :parameters
      t.integer :refresh_interval
      t.string :data
      t.string :display_type
      t.belongs_to :dashboard_target, foreign_key: {on_delete: :cascade, on_update: :cascade}

      t.timestamps
    end
  end
end
